PropertiesExpandingStreamReader (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.staxutils, class: PropertiesExpandingStreamReader

Package org.apache.cxf.staxutils

# Class PropertiesExpandingStreamReader

java.lang.Object
javax.xml.stream.util.StreamReaderDelegate
org.apache.cxf.staxutils.PropertiesExpandingStreamReader

All Implemented Interfaces:
  `XMLStreamConstants`, `XMLStreamReader`

public class PropertiesExpandingStreamReader extends StreamReaderDelegate
A StreamReaderDelegate that expands property references in element and attribute values.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DELIMITER`

  ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

  `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertiesExpandingStreamReader(XMLStreamReader reader, Map<String,String> props)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `expandProperty(String value)`
  `String`
  `getAttributeValue(int index)`
  `String`
  `getAttributeValue(String namespaceURI, String localName)`
  `String`
  `getElementText()`
  `String`
  `getText()`

  ### Methods inherited from class javax.xml.stream.util.StreamReaderDelegate

  `close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getCharacterEncodingScheme, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getParent, getPIData, getPITarget, getPrefix, getProperty, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, setParent, standaloneSet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DELIMITER

    public static final String DELIMITER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PropertiesExpandingStreamReader

    public PropertiesExpandingStreamReader(XMLStreamReader reader, Map<String,String> props)

- ## Method Details

  - ### expandProperty

    protected String expandProperty(String value)

  - ### getElementText

    public String getElementText() throws XMLStreamException
    Specified by:
      `getElementText` in interface `XMLStreamReader`
    Overrides:
      `getElementText` in class `StreamReaderDelegate`
    Throws:
      `XMLStreamException`

  - ### getAttributeValue

    public String getAttributeValue(String namespaceURI, String localName)
    Specified by:
      `getAttributeValue` in interface `XMLStreamReader`
    Overrides:
      `getAttributeValue` in class `StreamReaderDelegate`

  - ### getAttributeValue

    public String getAttributeValue(int index)
    Specified by:
      `getAttributeValue` in interface `XMLStreamReader`
    Overrides:
      `getAttributeValue` in class `StreamReaderDelegate`

  - ### getText

    public String getText()
    Specified by:
      `getText` in interface `XMLStreamReader`
    Overrides:
      `getText` in class `StreamReaderDelegate`